GNU bug report logs - #54065
[PATCH 0/3] Update mumble to 1.4.230

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Liliana Marie Prikler <liliana.prikler@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 54065 <at> debbugs.gnu.org and Liliana Marie Prikler <liliana.prikler@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 5 Apr 2022 19:09:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 05 15:09:43 2022
Received: from localhost ([127.0.0.1]:56230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nboYh-000732-Ig
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2022 15:09:43 -0400
Received: from mail-ej1-f65.google.com ([209.85.218.65]:45832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nboYf-00072l-UY
 for 54065 <at> debbugs.gnu.org; Tue, 05 Apr 2022 15:09:42 -0400
Received: by mail-ej1-f65.google.com with SMTP id ot30so18747400ejb.12
 for <54065 <at> debbugs.gnu.org>; Tue, 05 Apr 2022 12:09:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version:content-transfer-encoding;
 bh=XRgGQe4HWhcULnGIobejwWB4ri5dq2x0Hsf8IrtjHiI=;
 b=XuZRfJJqLs4hUDJXFp4uQnl7QWUcIHCRRwZKxqRN2U6aizfHz2fQADDJFF6w4Vh0CR
 9NeKis7d/TkDH7omg+REHLTwseU5YlZ6qWYdxOKzxLYS6E9ER/j9fdInyvpOIJYS63WL
 GSyQ5DjZ8ThyvUvee+kjIJlka823dKI0phwZQr6nj6InjNetklXl8YUII9d+2b+E3Ha7
 T2iII2WPC8RCtESfziYJ8Q4LOZpLPMKwmgvhxP+kCq7Dg/MuZ2cVeITjhXZRrhAaMicR
 IXtoaAZmlhBJ3aMTahp84RcUWdzLmRMs3qJ8s3csG7YMbNccIdZ0H4z4kysHD9F83rFe
 TEnA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=XRgGQe4HWhcULnGIobejwWB4ri5dq2x0Hsf8IrtjHiI=;
 b=rW5XgX5pwt7BpPI7VDkvpVFOihudhVj6cLKsxOj8bVURfpFbQqaPoDb+GbATYbiUVL
 p257wxdDxflE6pEwvNANCzQPVw210pmO6mrFoMwK9zAnx7bNmjB0Ms7IdpR1SDXhwSWG
 dH0UZ8MfkBlNpkysJOp1XoulnpCWIrQelEtWgtqyBphaMO0CJorIQVafyk8Jotk9fK/V
 lESTKR9PfwArcEAzSRmCCSiaqnWZclDIPCQfsc7U0NnO4p339BdfB41isOp3rltjIVGg
 23DxjZ7vILTWXOhEmdPaWqkTYMBdfx/vKWZ92AXqinyzIt20Rta75977m80bdox8yGPh
 DzpA==
X-Gm-Message-State: AOAM531t+RVVAqgPwLb/hl0GMQy80NSyvMIbHrDToCDpK4+1E7o0MnlK
 IUKLpO3dErfCOV3H9P6CWLs=
X-Google-Smtp-Source: ABdhPJyt9INlRkDQdYLPmLx/kfsE26DCYx5Islx6DkOK1IjOzEa2SPuMMol1PIBHd+Bh4Dim4MM1rw==
X-Received: by 2002:a17:906:a046:b0:6b9:20c:47c1 with SMTP id
 bg6-20020a170906a04600b006b9020c47c1mr4912704ejb.615.1649185775845; 
 Tue, 05 Apr 2022 12:09:35 -0700 (PDT)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93]) by smtp.gmail.com with ESMTPSA id
 k12-20020a170906a38c00b006e7ddaa89absm3278755ejz.52.2022.04.05.12.09.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 05 Apr 2022 12:09:35 -0700 (PDT)
Message-ID: <5040af13138c7fb81907c9b62b172e91a317ef97.camel@HIDDEN>
Subject: Re: bug#54065: [PATCH 0/3] Update mumble to 1.4.230
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Date: Tue, 05 Apr 2022 21:09:33 +0200
In-Reply-To: <87k0c3mxmc.fsf_-_@HIDDEN>
References: <2b30b57085cbc6896cd6b609a75a2ac7ad798d82.camel@HIDDEN>
 <91bd55c20b57aa4272e710f139551f9244addeb5.camel@HIDDEN>
 <87k0c3mxmc.fsf_-_@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Am Dienstag, dem 05.04.2022 um 16:08 +0200 schrieb Ludovic
    Courtès: > Hi, > > Liliana Marie Prikler skribis: > > > * gnu/packages/cpp.scm
    (poco): New variable. > > [...] > > > +    (synopsis "Po [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 RCVD_IN_VALIDITY_RPBL  RBL: Relay in Validity RPBL,
                             https://senderscore.org/blocklistlookup/
                             [209.85.218.65 listed in bl.score.senderscore.com]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (liliana.prikler[at]gmail.com)
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.218.65 listed in wl.mailspike.net]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
X-Debbugs-Envelope-To: 54065
Cc: Maxime Devos <maximedevos@HIDDEN>, 54065 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Am Dienstag, dem 05.04.2022 um 16:08 +0200 schrieb Ludovic Courtès:
> Hi,
> 
> Liliana Marie Prikler <liliana.prikler@HIDDEN> skribis:
> 
> > * gnu/packages/cpp.scm (poco): New variable.
> 
> [...]
> 
> > +    (synopsis "Portable C++ components")
> > +    (description "A collection of libraries intended to be useful
> > for building
> > +network-based applications.")
> 
> Please make it a full sentence (info "(guix) Synopses and
> Descriptions").
Ahh, sorry.  I've applied a fix locally and will push it once checks
are finished.

> I believe Maxime’s comments were addressed and the rest LGTM, thanks!
Sorry, I already pushed the mumble update including the faulty
description for poco.  Will fix asap.




Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 5 Apr 2022 14:08:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 05 10:08:20 2022
Received: from localhost ([127.0.0.1]:55756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nbjr2-0006Jq-Ix
	for submit <at> debbugs.gnu.org; Tue, 05 Apr 2022 10:08:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nbjr1-0006Jc-En
 for 54065 <at> debbugs.gnu.org; Tue, 05 Apr 2022 10:08:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:32840)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nbjqv-0005n9-Tx; Tue, 05 Apr 2022 10:08:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=KlZH5hy6b0T1q3wYsZ0nWXcJ7kyQifTdFfXWxT3hhtM=; b=IxY/IDHJRBUHfKyOwHRh
 v1zo3JFnJaYrYO9C0DJMFXn+noGw5bNypcuCYO2Ch/vhiVX9+9cipXiwU7J7Oesna4Z/EkV6J2MEd
 Dtj8AbmuaqOd+8NzyL1zBE+YBHT65gHf+4taQoZHbGPMJuea+Vo8kFix8ZSwhpRkY0fmITw4hQkQG
 uOfqcLn8vWR6tMmWwZXLtDc7AHiGwVmGq5uwL8zUjidSRyRu8tR7zuvWSmxxDQWAj/FDq2GZh/+xG
 3lEolb/s1R8aiw+6OmQpcx1uPtFcnjLADnmCg0biYDYe4XDSmwmTvXCR9j0UUr/yZE01JCEAda/7z
 v+QclZ6BMm+EYg==;
Received: from [193.50.110.173] (port=58778 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nbjqv-0003K4-Hf; Tue, 05 Apr 2022 10:08:13 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Subject: Re: bug#54065: [PATCH 0/3] Update mumble to 1.4.230
References: <2b30b57085cbc6896cd6b609a75a2ac7ad798d82.camel@HIDDEN>
 <91bd55c20b57aa4272e710f139551f9244addeb5.camel@HIDDEN>
Date: Tue, 05 Apr 2022 16:08:11 +0200
In-Reply-To: <91bd55c20b57aa4272e710f139551f9244addeb5.camel@HIDDEN>
 (Liliana Marie Prikler's message of "Sat, 19 Feb 2022 16:03:37 +0100")
Message-ID: <87k0c3mxmc.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54065
Cc: Maxime Devos <maximedevos@HIDDEN>, 54065 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Liliana Marie Prikler <liliana.prikler@HIDDEN> skribis:

> * gnu/packages/cpp.scm (poco): New variable.

[...]

> +    (synopsis "Portable C++ components")
> +    (description "A collection of libraries intended to be useful for bu=
ilding
> +network-based applications.")

Please make it a full sentence (info "(guix) Synopses and Descriptions").

> * gnu/packages/telephony.scm (find-python-interpreter-cmake-modules):
> New variable.
> (mumble): Update to 1.4.230.
> [source]: Adjust uri and snippet accordingly.
> [arguments]: Change to a list of G-expressions.
> <#:configure-flags>: New argument.
> <#:phases>: Drop =E2=80=98configure=E2=80=99 (moved to configure-flags).
> Add =E2=80=98unpack-submodules=E2=80=99, =E2=80=98fix-settings-crash=E2=
=80=99 and =E2=80=98hardcode-pulseaudio=E2=80=99.
> [inputs]: Add glib and poco.

[...]

> * gnu/packages/telephony.scm (mumble)[#:tests?]: Drop argument.
> [#:configure-flags]: Add =E2=80=9C-Dtests=3Don=E2=80=9D.

I believe Maxime=E2=80=99s comments were addressed and the rest LGTM, thank=
s!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 22 Feb 2022 13:20:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 22 08:20:50 2022
Received: from localhost ([127.0.0.1]:40293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nMV61-0004fH-QS
	for submit <at> debbugs.gnu.org; Tue, 22 Feb 2022 08:20:50 -0500
Received: from mail-ed1-f65.google.com ([209.85.208.65]:37866)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nMV5l-0004eJ-Sv
 for 54065 <at> debbugs.gnu.org; Tue, 22 Feb 2022 08:20:48 -0500
Received: by mail-ed1-f65.google.com with SMTP id q17so37059761edd.4
 for <54065 <at> debbugs.gnu.org>; Tue, 22 Feb 2022 05:20:33 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=4JWg6dsB8sOilOnQTV0KLgcUc+CIzSO33bH7nRr6KUg=;
 b=RkpFxQ6h0jNz0VpKJ4yyWonj3sV8bMOfct99BdNwBu41CzAIkeSfEYW5bOk4JHVj4T
 1xsWazytATlPdRl38KQ2qDiCXj5rnGl6rE8JMLeZkCIWEyUMXhdI12KDC90P/Wx3kHQR
 ShIgYbCFJ/aH28ZpFzP7/NMCc3L2TYQK95GKF8cDYY83ZgojEIz1pH2PlTatHlLeO+7d
 YuECXCSq1C2fLL8XjVgP68QCeW0S648vme3zhmKeIkkTjWJiI8rXcLk4yK2BPo+jyY2u
 yWXgZvqNYHAQOS/DsKWUjiwUugKKBPCl4U0j1ar1pSRHnRVlhZ6leJPFcZd0Ka/Jy/bl
 7xTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=4JWg6dsB8sOilOnQTV0KLgcUc+CIzSO33bH7nRr6KUg=;
 b=GQk8pOyspcDowCE05BKZPtwNa6O0Ov3AL5NM6KiQ9kcy67OOa6v8GqiDIPKU5K8ZVN
 pNwQY6jDgzgcwIyNK6GWiEkr/cU/u58JtnYZPOTpJXzeptY43hXcdz7CuXMPcNz+m6WE
 RJ87V5QQ1yybBM962Okn8wGn/KNrPWh6+G+POPq2xDSdZ1Y9dIwGqYLu7e8j2gsJ2/tU
 V2ZDc/FKw/giqa3LSP1m5JKR+DGWD62pzvd1Rn7xP0FWZwaPvFU6V75OT6+0iDyGsL84
 MhPGzQLULjkJl+kJ0alkCzBjlpJNh6VAQNIT56WOJxfffLB7WZWB2sFFc2NgJyOaYdj/
 PUgw==
X-Gm-Message-State: AOAM530OaCFPlFqRJUUFAf88WGF8dqlZjTeVWC1ZaF1hX3oVBgQGux28
 A7rFVEpa5P8JaR2SZkIQmoqKZ03pXwm8mA==
X-Google-Smtp-Source: ABdhPJxFDSTE5NnQBiT+HjDad+oBy6ZjGz9xoGDI5XTWkuHJYv6rcSY3wRFqBG0SCdH5wj7DlFy59Q==
X-Received: by 2002:a05:6402:3715:b0:410:a415:fd95 with SMTP id
 ek21-20020a056402371500b00410a415fd95mr26738112edb.288.1645536027289; 
 Tue, 22 Feb 2022 05:20:27 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id hs25sm6294874ejc.172.2022.02.22.05.20.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 22 Feb 2022 05:20:26 -0800 (PST)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 19 Feb 2022 16:37:51 +0100
Subject: [PATCH v2 3/3] gnu: mumble: Enable tests.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: Maxime Devos <maximedevos@HIDDEN>, 54065 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <7d0da6f3a136eb4063cce1abcaef282e72c1ddfd.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/telephony.scm (mumble)[#:tests?]: Drop argument.
[#:configure-flags]: Add “-Dtests=on”.
---
 gnu/packages/telephony.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index effe8d167f..abc7952234 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -589,7 +589,6 @@ (define-public mumble
     (build-system qt-build-system)
     (arguments
      (list
-      #:tests? #f  ; no "check" target
       #:configure-flags
       #~(list "-Dbundled-speex=off"
               "-Dbundled-opus=off"
@@ -604,6 +603,7 @@ (define-public mumble
               "-Dpipewire=off" ; use pulse
               "-Doverlay-xcompile=off"
               "-Dupdate=off" ; don't phone home
+              "-Dtests=on"
               "-Dbundle-qt-translations=off")
       #:phases
       #~(modify-phases %standard-phases
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 22 Feb 2022 13:20:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 22 08:20:37 2022
Received: from localhost ([127.0.0.1]:40291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nMV5p-0004et-7U
	for submit <at> debbugs.gnu.org; Tue, 22 Feb 2022 08:20:37 -0500
Received: from mail-ed1-f66.google.com ([209.85.208.66]:39731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nMV5k-0004eH-EK
 for 54065 <at> debbugs.gnu.org; Tue, 22 Feb 2022 08:20:34 -0500
Received: by mail-ed1-f66.google.com with SMTP id u18so36885747edt.6
 for <54065 <at> debbugs.gnu.org>; Tue, 22 Feb 2022 05:20:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=n3t2oNXhBGjt4a45dFZWklpuM2aGn3GetrLxlKp5hws=;
 b=QZTXAgHMQBD08nkNWIIY+XR4+du7GMcwtFQ7Tcd8JuIFMRBP2krDnOQ1nczmrmOaw/
 wJZBG1JL/vZeg7wVShuD/vn2QJooDbofaAxT4zcIWYU0TnRt1c9O1KEzXoELzHnhWaqd
 IcWbcD7g6awztmuoCt5ENwKwZLKbDU2NmAjHCHtedXbmtKlgRBRvm0W7J5pNNHft3H5s
 x39321JlJIuTZ+1bZmORXgMRjGzE8kqyde3T8Hf3kFvchVUiuhN45O6V62CNioDJ/l3O
 55KFmtlq5U3eM0yEuMQ7RvHmmcnrkmtaZtQvKBOwOKU+jPGOC4WgWpaooAUMAilmrkZg
 RiWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=n3t2oNXhBGjt4a45dFZWklpuM2aGn3GetrLxlKp5hws=;
 b=wKp7UTCuPJp3AIHHQrOi098msi1uET9i62JFeZn1J/mr6gIrf20u90bsLKIfxNYxPb
 kNNvEUo8KPCDDhrKt37L387smlGyJgr2G0O1mM8T4ZtOeesuApai0/onSlLG8PK6KuJE
 UeQOLe0mR6sQNuPhWWfWiHFwdHFlK71avSPrDa91vCAwyMCaH4OB6hX9a/PSAczG9V0+
 iDtFzzpq2aF7vEX2BkW0DaAjvONH12YH3UGhQfYs2sLbuGHo5lwb0mhJR184f5dcGRJN
 6P80B5hzNuAGHy1d33vqtBBRAzogVGGumKiau0lQsVjABRt+ic3irBkA8kxMRUhDyXYK
 w+ZA==
X-Gm-Message-State: AOAM531nKekKLSSNz2DyToeXswOrC8ePSRDUhiQA7xgsbjlMpJVIYwlp
 hmADtK+8ho7VnaZEvfIh3q9UShk4IZPPpQ==
X-Google-Smtp-Source: ABdhPJwBc4GY0/xEBluo88dSlnkC/YxI7l/ptaM3OZz0ODai1VxnN2JP6oHlm68yoOZmWs9UY0uC7A==
X-Received: by 2002:aa7:cd81:0:b0:410:d64e:aa31 with SMTP id
 x1-20020aa7cd81000000b00410d64eaa31mr26513653edv.167.1645536026652; 
 Tue, 22 Feb 2022 05:20:26 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id hs25sm6294874ejc.172.2022.02.22.05.20.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 22 Feb 2022 05:20:26 -0800 (PST)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 19 Feb 2022 16:05:34 +0100
Subject: [PATCH v2 2/3] gnu: mumble: Update to 1.4.230.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: Maxime Devos <maximedevos@HIDDEN>, 54065 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <ee159518ac89f2b270c5fc58baa379ada07ccd05.camel@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/telephony.scm (find-python-interpreter-cmake-modules):
New variable.
(mumble): Update to 1.4.230.
[source]: Adjust uri and snippet accordingly.
[arguments]: Change to a list of G-expressions.
<#:configure-flags>: New argument.
<#:phases>: Drop ‘configure’ (moved to configure-flags).
Add ‘unpack-submodules’, ‘fix-settings-crash’ and ‘hardcode-pulseaudio’.
[inputs]: Add glib and poco.
---
 gnu/packages/telephony.scm | 150 ++++++++++++++++---------------------
 1 file changed, 66 insertions(+), 84 deletions(-)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index b4b2585935..effe8d167f 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -50,6 +50,7 @@ (define-module (gnu packages telephony)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages cpp)
   #:use-module (gnu packages crypto)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages docbook)
@@ -91,6 +92,7 @@ (define-module (gnu packages telephony)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix utils)
   #:use-module (guix packages)
+  #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix build-system cmake)
@@ -536,34 +538,48 @@ (define-public seren
     (home-page "http://holdenc.altervista.org/seren/")
     (license license:gpl3+)))
 
+(define find-python-interpreter-cmake-modules
+  (let ((commit "bb4d3ea8434eebef40df35434a9b6ef410fce0b2")
+        (revision "0"))
+   (origin
+    (method git-fetch)
+    (uri (git-reference
+          (url "https://github.com/Krzmbrzl/FindPythonInterpreter")
+          (commit commit)))
+    (file-name (git-file-name "find-python-interpreter"
+                              (git-version "0" revision commit)))
+    (sha256
+     (base32
+      "1ryhda2yqgrhnwndfg52mscdsclg1ivv746hvalcay5m1wy2h5bm")))))
+
 (define-public mumble
   (package
     (name "mumble")
-    (version "1.3.4")
+    (version "1.4.230")
     (source (origin
               (method url-fetch)
               (uri
                (string-append
-                "https://github.com/mumble-voip/mumble/releases/download/"
+                "https://github.com/mumble-voip/mumble/releases/download/v"
                 version "/" name "-" version ".tar.gz"))
               (sha256
                (base32
-                "14v0rgy1a5alxmz7ly95y38bdj0hx79yysgkcd8r8p9qqfzlwpv1"))
+                "1c1lwj0cpyawr74adpdrsnxk8ra5kqrjbg65cnwk8n6cwss84zdn"))
               (modules '((guix build utils)
                          (ice-9 ftw)
                          (srfi srfi-1)))
               (snippet
                `(begin
                   (let ((keep
-                         '("arc4random-src"
+                         '("arc4random"
                            "celt-0.7.0-build"
                            "celt-0.7.0-src"
                            "celt-0.11.0-build"
                            "celt-0.11.0-src"
-                           "qqbonjour-src"
+                           "qqbonjour"
                            "rnnoise-build"
                            "rnnoise-src"
-                           "smallft-src")))
+                           "smallft")))
 	            (with-directory-excursion "3rdparty"
 	              (for-each delete-file-recursively
 			        (lset-difference string=?
@@ -572,105 +588,71 @@ (define-public mumble
                     #t)))))
     (build-system qt-build-system)
     (arguments
-     `(#:tests? #f  ; no "check" target
-       #:phases
-       (modify-phases %standard-phases
-         (replace 'configure
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (invoke "qmake" "main.pro" "QMAKE_LRELEASE=lrelease"
-                     (string-append "MUMBLE_PYTHON="
-                                    (search-input-file inputs
-                                                       "/bin/python3"))
-                     (string-append "CONFIG+="
-                                    (string-join
-                                     ;; Options used are listed in the same order
-                                     ;; as in the "INSTALL" file
-                                     ;; (plus the final "packaged" and "release").
-                                     (list "no-bundled-speex" ; in speex
-                                           "no-bundled-opus" ; in opus
-                                           "no-g15" ; not packaged
-                                           "no-jackaudio" ; use pulse
-                                           "no-oss" ; use pulse
-                                           "no-alsa" ; use pulse
-                                           "no-update"
-                                           "no-embed-qt-translations"
-                                           "no-ice" ; not packaged
-                                           "packaged"
-                                           "release")))
-                     (string-append "DEFINES+="
-                                    "PLUGIN_PATH="
-                                    (assoc-ref outputs "out")
-                                    "/lib/mumble"))))
-         (add-before 'configure 'fix-libspeechd-include
-           (lambda _
-             (substitute* "src/mumble/TextToSpeech_unix.cpp"
-               (("libspeechd.h") "speech-dispatcher/libspeechd.h"))
-             #t))
-         ;; disable statistic gathering by default. see <https://bugs.gnu.org/25201>
-         (add-before 'configure 'fix-statistic-gathering-default
-           (lambda _
-             (substitute* "src/mumble/Settings.cpp"
-               (("bUsage = true;") "bUsage = false;"))
-             #t))
-         (add-before 'configure 'fix-mumble-overlay
-           (lambda* (#:key outputs #:allow-other-keys)
+     (list
+      #:tests? #f  ; no "check" target
+      #:configure-flags
+      #~(list "-Dbundled-speex=off"
+              "-Dbundled-opus=off"
+              ;; "-Dbundled-rnnoise=off" ; XXX: not yet in release
+              "-Dalsa=off" ; use pulse
+              "-Dcoreaudio=off" ; use pulse
+              "-Dice=off" ; not packaged
+              "-Djackaudio=off" ; use pulse
+              "-Doss=off" ; use pulse
+              "-Dpulseaudio=on"
+              "-Dportaudio=off" ; use pulse
+              "-Dpipewire=off" ; use pulse
+              "-Doverlay-xcompile=off"
+              "-Dupdate=off" ; don't phone home
+              "-Dbundle-qt-translations=off")
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'unpack-submodules
+            (lambda _
+              (copy-recursively #$find-python-interpreter-cmake-modules
+                                "3rdparty/FindPythonInterpreter")))
+          (add-after 'unpack 'disable-murmur-ice
+            (lambda _
+              (substitute* "scripts/murmur.ini"
+                (("^ice=") ";ice="))))
+          ;; disable statistic gathering by default. see <https://bugs.gnu.org/25201>
+          (add-after 'unpack 'fix-statistic-gathering-default
+            (lambda _
+              (substitute* "src/mumble/Settings.h"
+                (("bUsage *= true;") "bUsage = false;"))))
+          (add-after 'unpack 'fix-mumble-overlay
+            (lambda* (#:key inputs outputs #:allow-other-keys)
               (with-output-to-file "scripts/mumble-overlay"
                 (lambda ()
-                  (format #t "#!~a~%" (which "bash"))
+                  (format #t "#!~a~%" (search-input-file inputs "/bin/bash"))
                   (format #t "export LD_PRELOAD=\"~a $LD_PRELOAD\"~%"
                           (string-append (assoc-ref outputs "out")
                                          "/lib/mumble/libmumble.so.1"))
                   (format #t "exec \"${@}\"")))
               #t))
-         (add-before 'install 'disable-murmur-ice
-           (lambda _
-             (substitute* "scripts/murmur.ini.system"
-               (("^ice=") ";ice="))
-             #t))
-         (replace 'install ; install phase does not exist
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (etc (string-append out "/etc/murmur"))
-                    (dbus (string-append out "/etc/dbus-1/system.d/"))
-                    (bin (string-append out "/bin"))
-                    (services (string-append out "/share/services"))
-                    (applications (string-append out "/share/applications"))
-                    (icons (string-append out "/share/icons/hicolor/scalable/apps"))
-                    (man (string-append out "/share/man/man1"))
-                    (lib (string-append out "/lib/mumble")))
-               (install-file "release/mumble" bin)
-               (install-file "scripts/mumble-overlay" bin)
-               (install-file "scripts/mumble.protocol" services)
-               (install-file "scripts/mumble.desktop" applications)
-               (install-file "icons/mumble.svg" icons)
-               (install-file "man/mumble-overlay.1" man)
-               (install-file "man/mumble.1" man)
-               (install-file "release/murmurd" bin)
-               (install-file "scripts/murmur.ini.system" etc)
-               (rename-file (string-append etc "/murmur.ini.system")
-                            (string-append etc "/murmur.ini"))
-               (install-file "scripts/murmur.conf" dbus)
-               (install-file "man/murmurd.1" man)
-               (for-each (lambda (file) (install-file file lib))
-                         (find-files "." "\\.so\\."))
-               (for-each (lambda (file) (install-file file lib))
-                         (find-files "release/plugins" "\\.so$"))
-               #t))))))
+          (add-after 'unpack 'hardcode-pulseaudio
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* "src/mumble/PulseAudio.cpp"
+                (("libpulse.so") (search-input-file inputs "/lib/libpulse.so"))))))))
     (inputs
      (list avahi
            boost
+           glib ; for speech-dispatcher
            libsndfile
            libxi
            mesa ; avoid bundled
            openssl
            opus ; avoid bundled
+           poco
            protobuf
            pulseaudio
            qtbase-5
            qtsvg
            speech-dispatcher
            speex ; avoid bundled
-           speexdsp)) ; avoid bundled
+           speexdsp ; avoid bundled
+           ;; xiph-rnnoise ; TODO: unbundle rnnoise
+           ))
     (native-inputs
      (list pkg-config python qttools))
     (synopsis "Low-latency, high quality voice chat software")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 22 Feb 2022 13:20:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 22 08:20:33 2022
Received: from localhost ([127.0.0.1]:40288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nMV5k-0004eY-OD
	for submit <at> debbugs.gnu.org; Tue, 22 Feb 2022 08:20:33 -0500
Received: from mail-ej1-f67.google.com ([209.85.218.67]:45037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nMV5j-0004eE-Pq
 for 54065 <at> debbugs.gnu.org; Tue, 22 Feb 2022 08:20:32 -0500
Received: by mail-ej1-f67.google.com with SMTP id p14so42761931ejf.11
 for <54065 <at> debbugs.gnu.org>; Tue, 22 Feb 2022 05:20:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:content-transfer-encoding:message-id
 :mime-version; bh=hOjGyM0O1nLxLgiNm7kiKMz+odO/dO6PHDD+xG/OE9c=;
 b=cPVQumv0gH8RmlAd/RIyOOFg6zROyZwEtgEWswEPe8UnjUo48pWK9QiDZevljq7ZQr
 V7KHeodztbHOiMMp90OJS2ckLSbdYc4KGkib5URkz6Tp2lQskf3/tTwWQX2DfDhThUQN
 Ey1wadJYsUz5mR/hB3MFNut3ZnnFd/Y3GwETBAtKF5KyJIDcLqbygulUIIn6yZAryID+
 tl8WrwcAcksRNcmtkZK2AtN5utLl6B8PPe1Et3x+L3U0XLXJJUOwgponM/xWHzM3J0Mz
 HnHCVNUovCjlBE7PGbXVUhqCJLcfJv9ac3ZUJC/qPcau8fPrN3EyymfugWOBXaAqufjz
 fnkQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:content-transfer-encoding
 :message-id:mime-version;
 bh=hOjGyM0O1nLxLgiNm7kiKMz+odO/dO6PHDD+xG/OE9c=;
 b=MukRytqmKoIfRp7HjeDUPL29fnBg1InqLqKfu6YMQIdC00BWqHKKFiUSTSXeU3MuBf
 XBjoHHScrgksI+FbjZOl5WA1ungLYjesPVki8vgpySwt9uT6NP8kHoOCGWOmRptVGAly
 dPpvmIYczSfqaCyHrjnyq4XdJeAW1/KKBRIgvIngRbW6gX517SnSzJmlKFKpFP+WKnoH
 TpBbO40uuNoJ5XJtYG5ratkt4F0NUw27MacmseXJyWxFuSGbsDJbgw3lHvzOz1Yp2+Yi
 4AkeYOVgSjdOWRPgFV703O8RDxGaBSQt8Ad4FXeEH9jiTWSvp3zH9HYLTDA65ssXVLPq
 f3nQ==
X-Gm-Message-State: AOAM531l9mbi8HMi3qWjw3s4Re7wKSXYRwlFiDxMxAvPZq9z2sBOcmlB
 TpOUY4/lLog2ytc26dx43Qc=
X-Google-Smtp-Source: ABdhPJwOx64vt9Q7NklWALpgUrdafWDTZuQwt5TVvnmDHXI0+QhiuIMuEC5GIlM+FSzGOlNZN4IN+A==
X-Received: by 2002:a17:906:f250:b0:6b5:83df:237d with SMTP id
 gy16-20020a170906f25000b006b583df237dmr19756943ejb.157.1645536025911; 
 Tue, 22 Feb 2022 05:20:25 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id hs25sm6294874ejc.172.2022.02.22.05.20.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 22 Feb 2022 05:20:25 -0800 (PST)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 19 Feb 2022 16:03:37 +0100
Subject: [PATCH v2 1/3] gnu: Add poco.
to: Maxime Devos <maximedevos@HIDDEN>, 54065 <at> debbugs.gnu.org
Content-Transfer-Encoding: 7bit
Message-ID: <91bd55c20b57aa4272e710f139551f9244addeb5.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/cpp.scm (poco): New variable.
---
 gnu/packages/cpp.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 1227e705c3..7968db2acc 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -1072,6 +1072,39 @@ (define-public folly
     (supported-systems '("aarch64-linux" "x86_64-linux"))
     (license license:asl2.0)))
 
+(define-public poco
+  (package
+    (name "poco")
+    (version "1.11.1")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/pocoproject/poco")
+                    (commit (string-append "poco-" version "-release"))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0qkf8vb4qwds6idk9fkw6wjvcdk5k8h77x3gv47l0i4jfl5hwn8b"))))
+    (build-system cmake-build-system)
+    (arguments
+     (list
+      #:configure-flags #~(list "-DENABLE_TESTS=ON")
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'disable-problematic-tests
+            (lambda _
+              (substitute* (list "Foundation/CMakeLists.txt" ; XXX: fails.
+                                 ;; Require network access
+                                 "Net/CMakeLists.txt"
+                                 "MongoDB/CMakeLists.txt"
+                                 "Redis/CMakeLists.txt")
+                (("ENABLE_TESTS") "FALSE")))))))
+    (home-page "https://pocoproject.org/")
+    (synopsis "Portable C++ components")
+    (description "A collection of libraries intended to be useful for building
+network-based applications.")
+    (license license:boost1.0)))
+
 (define-public aws-crt-cpp
   (let* ((commit "b6d311d76b504bf8ace5134d3fca0e672c36c9c3")
          (revision "1"))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 19 Feb 2022 19:20:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 14:20:14 2022
Received: from localhost ([127.0.0.1]:58746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLVHB-00068x-Rn
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 14:20:14 -0500
Received: from mail-ej1-f67.google.com ([209.85.218.67]:39431)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nLVHA-00068d-F4
 for 54065 <at> debbugs.gnu.org; Sat, 19 Feb 2022 14:20:12 -0500
Received: by mail-ej1-f67.google.com with SMTP id p9so22840812ejd.6
 for <54065 <at> debbugs.gnu.org>; Sat, 19 Feb 2022 11:20:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:in-reply-to:references:user-agent
 :mime-version:content-transfer-encoding;
 bh=hMrHGnpu+ngC2eL/HQpCaubr8U7Mr7yZxBzwLvxTink=;
 b=CmMBB/pGUyyt74lDaAMMGTQnlNqRiA3X5F7Q+hfacGkPiiL7O+kvBwhlkOaiBXSmv2
 LR6yTuLbGtAw1z7/Zt7x2EGo209geTkMgN4TQN7g6N7c8EvN1jN4ALWpqTe8mHgt8PoU
 m09ZeJYnKYVIaEvWH0QX9IDAQNOI+6ou01yBilvXJth9Z68bIDy7aXMgcCPtczBNc7SX
 tsUZjq07vlAJxOVRUFCWag6oW8S8yHU3CmAjoXKfRX3ZjO84p8GHTOlaUwGaR3dfFqRb
 xewhhuo+LMJuu1cU34AsrmB++d3vUHUTm0H3aS2jgvg+Kf25d4LmflSDH3ZwVI43rQTX
 Cq1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=hMrHGnpu+ngC2eL/HQpCaubr8U7Mr7yZxBzwLvxTink=;
 b=Wv4JGDC7B/gvmT9/dUGYQs7QhZdDWw66MtYSFwj4nI28isyncQKXIvL0D46gFvPbrW
 T2DLLFpf6EdvjhGHT1FxnPnKzktjV6RK4+bIWtzCW3GkB55jC1aIeyWrM68/3sKN+wpf
 AlfMlg16IGf9vp27GDophl8QdQIuKuaQVu6SUvngpa69bvp0FCUsEW4xU57Q185yF3xh
 t+UsXPMStr5oV5AcTsGlXhE3zDQcp440VCX1oSKw/z+xiwpOkxbGYZ+r7cHZLV0ZDCLQ
 fPxhnO9jn5AOb51d0Tr9FDOUA/8pqFXqYWBycMmFXEK+XrBtXbwWyrjVXnghH73nudsA
 wylQ==
X-Gm-Message-State: AOAM532GP8kN0+uLmray0FHK10Dsp5sdVXBwWZTpYkNAPaCCbQQLSeMM
 oLI7Js82LHUK4QIEJOKMrzE=
X-Google-Smtp-Source: ABdhPJwOoM9Qy9HDKUvX51+BhdL69GPgEsG5NidKQmbfJV3Rk036KXgxULmZaCaSpyNMCJOFAtFglA==
X-Received: by 2002:a17:906:719a:b0:6ba:493e:3bfc with SMTP id
 h26-20020a170906719a00b006ba493e3bfcmr10610727ejk.16.1645298406929; 
 Sat, 19 Feb 2022 11:20:06 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id j8sm6716079edw.40.2022.02.19.11.20.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Feb 2022 11:20:06 -0800 (PST)
Message-ID: <2b25407824b14042205b6d4a8f4c711a7298ea89.camel@HIDDEN>
Subject: Re: [bug#54065] [PATCH 2/3] gnu: mumble: Update to 1.4.230.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 54065 <at> debbugs.gnu.org
Date: Sat, 19 Feb 2022 20:20:05 +0100
In-Reply-To: <bf12441e5e60bde6cc8908d6e3841bef7667e8bb.camel@HIDDEN>
References: <2b30b57085cbc6896cd6b609a75a2ac7ad798d82.camel@HIDDEN>
 <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
 <bf12441e5e60bde6cc8908d6e3841bef7667e8bb.camel@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Samstag, dem 19.02.2022 um 19:12 +0100 schrieb Maxime Devos:
> Liliana Marie Prikler schreef op za 19-02-2022 om 16:05 [+0100]:
> > +          (add-after 'unpack 'fix-settings-crash
> > +            (lambda _
> > +              (substitute* "src/mumble/AudioConfigDialog.cpp"
> > +                (("updateEchoEnableState\\(\\) \\{" all)
> > +                 (string-append all
> > +                                "if (!AudioInputRegistrar::qmNew)
> > return;")))))
> 
> At first sight, this seems a bug in the source code to me,
> also relevant to other distros, so I would do this in an origin
> snippet and submit it upstream.
To be completely honest, I wrote this before I wrote the phase that
fixes pulseaudio, so it might be that this crash only occurs when pulse
is not running.  Need to investigate that.




Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 19 Feb 2022 19:18:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 14:18:42 2022
Received: from localhost ([127.0.0.1]:58741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLVFi-00065v-Hx
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 14:18:42 -0500
Received: from mail-ej1-f67.google.com ([209.85.218.67]:44581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nLVFg-00065j-QP
 for 54065 <at> debbugs.gnu.org; Sat, 19 Feb 2022 14:18:41 -0500
Received: by mail-ej1-f67.google.com with SMTP id p14so22734061ejf.11
 for <54065 <at> debbugs.gnu.org>; Sat, 19 Feb 2022 11:18:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:in-reply-to:references:user-agent
 :mime-version:content-transfer-encoding;
 bh=d+SOLlf5L6H8d1gfNeWw+3+5oNlyaO06TGW8/Zy7cS8=;
 b=JqbumXAOQu3jlCFUO0/8P3/9aFYOsDrM7pZt1bbsGq/8xZSfuZEXNrBPVjiT2L3MXF
 GuWeNoXHMd4wGPKhnS5spEtjd/QQ6d+QLinWC1RPhdHODw0P+3jQsgPuFMBRP2p9cRKz
 m64gPtLn7J/tDV4+lZQVXxGpuSguNfF/YYQVaukJxH75ftfsufivG71DsFSfs/0LUl/F
 msHg0HIPmkdMZOjRtvJLxxmXlJxlYENxpz0p2Pg85SUT6LRVafUf4pP56o83W6gTx7dm
 eo8/4E+A2NhuY2TAVDANX2I3lGJN+A9e87grVbGG53iANXEUl7P/3Bd1I0ZNTypw1wWi
 tpGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=d+SOLlf5L6H8d1gfNeWw+3+5oNlyaO06TGW8/Zy7cS8=;
 b=7KCEaLIvw51u6TyTE8pQA2/OqoYjc4WAFeubID7Tqmc14GZAJIFE0durguCkJ01azl
 76qp2qfpAcFfPM0au2PAQH5Eb/k9kSg0pJfcc0TV5rNnL7vtjCFnW9Clw3y56r58jl9U
 S1AeD8ZDgluk8LzCMypfEgoeioE0isi1o3C5zkByHk+75yp+930gQk2pFYfvwz7+mh3+
 mbWEk9JIeyAWCflOJHRa0GX8AWsDqNq1hLg/qp/zOGNY7sN4nNlxKBAqgE4LzoxB+aLU
 LXQ7E95SJwdFpkQRCYXEoByCWaafExRrz7Je8cR0OeJKhD7TrtRSL1+x1/9NcKTAwt8e
 uzyw==
X-Gm-Message-State: AOAM530Q/RplP3AzcGUvDf1FUU1CEv5YPRgwm9lpSoBU8djO1ezTHAEV
 GXyF7+PfJ0uNUr/bi0MZx6o=
X-Google-Smtp-Source: ABdhPJxpRFXfWTS89uBv2BCr2fsXdxUgXRmyHMKfDDHazjalu1dtkBmOv2T4xzqVx7EcyYLkfwS2Dw==
X-Received: by 2002:a17:906:e0d6:b0:6ce:7107:597b with SMTP id
 gl22-20020a170906e0d600b006ce7107597bmr10711435ejb.465.1645298314900; 
 Sat, 19 Feb 2022 11:18:34 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id j9sm3479603ejo.87.2022.02.19.11.18.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Feb 2022 11:18:34 -0800 (PST)
Message-ID: <5b6d606355b7e8f6ec41fb346a3bc7664cc8adf0.camel@HIDDEN>
Subject: Re: [bug#54065] [PATCH 2/3] gnu: mumble: Update to 1.4.230.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 54065 <at> debbugs.gnu.org
Date: Sat, 19 Feb 2022 20:18:33 +0100
In-Reply-To: <6012b8f4655af57cf7b6ead317a795e902a65cd9.camel@HIDDEN>
References: <2b30b57085cbc6896cd6b609a75a2ac7ad798d82.camel@HIDDEN>
 <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
 <6012b8f4655af57cf7b6ead317a795e902a65cd9.camel@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Samstag, dem 19.02.2022 um 19:20 +0100 schrieb Maxime Devos:
> Liliana Marie Prikler schreef op za 19-02-2022 om 16:05 [+0100]:
> > +          (add-after 'unpack 'fix-mumble-overlay
> > +            (lambda* (#:key outputs #:allow-other-keys)
> >                (with-output-to-file "scripts/mumble-overlay"
> >                  (lambda ()
> >                    (format #t "#!~a~%" (which "bash"))
> 
> This is more a bug in the original package definition, but
> this use of 'which "bash"' is incorrect when cross-compiling, it
> needs to be (search-input-file inputs "bin/bash") instead.
Thanks for the catch, will update.




Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 19 Feb 2022 19:18:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 14:18:18 2022
Received: from localhost ([127.0.0.1]:58738 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLVFK-00065J-8p
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 14:18:18 -0500
Received: from mail-ed1-f68.google.com ([209.85.208.68]:34462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nLVFJ-000656-B9
 for 54065 <at> debbugs.gnu.org; Sat, 19 Feb 2022 14:18:17 -0500
Received: by mail-ed1-f68.google.com with SMTP id z22so21277905edd.1
 for <54065 <at> debbugs.gnu.org>; Sat, 19 Feb 2022 11:18:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:subject:from:to:date:in-reply-to:references:user-agent
 :mime-version:content-transfer-encoding;
 bh=C9OLumuOlN88iv48ut9lzSHaV1Sb0bRrXtHtXvF1Pss=;
 b=cKs9h6uEgI1bPfoaR8y/lcF5+AG1P+3apKkG002jk+VMPdE9ktqAHEfnkMqTr811MR
 aLIavo1pEha/xn0NK94xpsxwo4SEL1PAeoKJyCkjgR1/WtdYklaAH5/d+2LxT+nKV6Tv
 UQZA14+M3SujuSDjxtq63CbpqnEKHfXpJ23SOm8VlN2rtCiDPTLTNZusooDbh0VFdl6s
 +msJA+0siBGLZINAMIXIXI6PYe6ou1pJvZMc6tgk25YiSgPKUOv3GDbd2ukBHQ5zd1GH
 pK0biEVBN5VhnQwpPrfwMYboHB8s2gWle5NsFlUb1bEoLGb39wkWgwn4yBq0TS7pGcEE
 OT5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:subject:from:to:date:in-reply-to
 :references:user-agent:mime-version:content-transfer-encoding;
 bh=C9OLumuOlN88iv48ut9lzSHaV1Sb0bRrXtHtXvF1Pss=;
 b=q4yNA95ThcxPzzk1fCHFVPyCRWIlL6nHLPGdfDtJi9sbR4P/uKpZWuXEaqZdRtfgry
 PMD0qL4hKIytsMdFAielS2xKNxdQvHa1xJVBSysZFl+AQJsvlz+5RuQUuu1xOnNztjqx
 EvLhiww6OUPmcI0GQP3kYpSjZD2ar5hoIlox0tWmemM0pJB3Ytla0vVjn7QNPdzMe0Z/
 HA+rZvAJ7RlKqfWP8CBu6AD4rgjNhczb02ubR+UtyPJe4TS5HusDbIkRFKmnN3itlyQw
 5qQrTfrSmmXoC2aRRVtcCv7W/+a5ic0fniLPCee8rI7Telu6QSPlUviMXqg6KgM0wGal
 jhZA==
X-Gm-Message-State: AOAM530eZq0c8nJn9dRjYNjA69sA/GUcDqEp8W66N6oRdIeYGvg54IFG
 jIACsJjVZSHBdjkJTvH1gn0=
X-Google-Smtp-Source: ABdhPJy32JIlWcngRVovHmd23k5k1zy1pgX98hVA+mdGKMT37tNjDkKcBpOrscUyPNYtAUFsNtqp2g==
X-Received: by 2002:a50:9358:0:b0:40f:aee9:86fb with SMTP id
 n24-20020a509358000000b0040faee986fbmr14088037eda.383.1645298291340; 
 Sat, 19 Feb 2022 11:18:11 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id hs25sm3430942ejc.172.2022.02.19.11.18.10
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Feb 2022 11:18:10 -0800 (PST)
Message-ID: <0c9396b440d31004f20c2f167f1f048292fd6bb7.camel@HIDDEN>
Subject: Re: [bug#54065] [PATCH 2/3] gnu: mumble: Update to 1.4.230.
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>, 54065 <at> debbugs.gnu.org
Date: Sat, 19 Feb 2022 20:18:09 +0100
In-Reply-To: <1f92a830c87f0459db2a6a32a34b1dc85e56eaae.camel@HIDDEN>
References: <2b30b57085cbc6896cd6b609a75a2ac7ad798d82.camel@HIDDEN>
 <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
 <1f92a830c87f0459db2a6a32a34b1dc85e56eaae.camel@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.42.1 
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Am Samstag, dem 19.02.2022 um 19:18 +0100 schrieb Maxime Devos:
> Liliana Marie Prikler schreef op za 19-02-2022 om 16:05 [+0100]:
> > +      #~(list "-Dbundled-speex=off"
> > +              "-Dbundled-opus=off"
> > +              ;; "-Dbundled-rnnoise=off" ; XXX: not yet in release
> > +              "-Dalsa=off" ; use pulse
> > +              "-Dcoreaudio=off" ; use pulse
> > +              "-Dice=off" ; not packaged
> > +              "-Djackaudio=off" ; use pulse
> > +              "-Doss=off" ; use pulse
> > +              "-Dpulseaudio=on"
> > +              "-Dportaudio=off" ; use pulse
> > +              "-Dpipewire=off" ; use pulse
> > +              "-Doverlay-xcompile=off"
> > +              "-Dupdate=off" ; don't phone home
> > +              "-Dbundle-qt-translations=off")
> 
> Can this patch be split in a few parts?  Unless these configure flags
> are new, it seems to me that unbundling could be done separately from
> updating.
Afaik no.  Old versions of mumble built via qmake whereas this uses
CMakeLists, which requires configure-flags.  I only added as much as
was needed for the build to run -- unbundling of rnnoise can not be
done with this release yet.

Cheers




Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 19 Feb 2022 18:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 13:20:38 2022
Received: from localhost ([127.0.0.1]:58717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLULW-0004dN-6E
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 13:20:38 -0500
Received: from michel.telenet-ops.be ([195.130.137.88]:50180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nLULU-0004dF-Bl
 for 54065 <at> debbugs.gnu.org; Sat, 19 Feb 2022 13:20:36 -0500
Received: from [172.20.10.9] ([188.189.130.216])
 by michel.telenet-ops.be with bizsmtp
 id x6Lb260094gGt1o066LbVq; Sat, 19 Feb 2022 19:20:35 +0100
Message-ID: <6012b8f4655af57cf7b6ead317a795e902a65cd9.camel@HIDDEN>
Subject: Re: [bug#54065] [PATCH 2/3] gnu: mumble: Update to 1.4.230.
From: Maxime Devos <maximedevos@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, 54065 <at> debbugs.gnu.org
Date: Sat, 19 Feb 2022 19:20:34 +0100
In-Reply-To: <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
References: <2b30b57085cbc6896cd6b609a75a2ac7ad798d82.camel@HIDDEN>
 <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-zCe+heSKarm92FUbpZwX"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1645294835; bh=22fZXE6ciHhrHzxrEPQTzeHliFZWsKaWhsUy7/6cvBk=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=F8SNkVxom2POokGZqU/IqhRv6UkUpafbEa3ij+cIZB1qewXimcGlppfR2Cp/mbjcQ
 Bq1h/3ZBuq0luna3rZRHIlgVWnuhip3YXZCS2ILpNqGy79bme1837tTkxNmN8zuObh
 Q6qBi+VnDXnp6SORGmIbkDgIrwhiSTu0HJMSaROiWd2ZXTHNUbh8XsMRmHQEbwYJ6Y
 gDge46gNdoLVVTHjAkdvewsiNkAUVzN0duYyaK/Qbd7ePSBVtQHQu/4+Nkcp8hHqK9
 /3QXuMF+zyzcxaYbcCI6xf2VzLfLQLfCrH8ruU+LySfyFHngfcO6XTeQpBwWfGC54L
 E5x36tyIhRnXg==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-zCe+heSKarm92FUbpZwX
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

TGlsaWFuYSBNYXJpZSBQcmlrbGVyIHNjaHJlZWYgb3AgemEgMTktMDItMjAyMiBvbSAxNjowNSBb
KzAxMDBdOgo+ICvCoMKgwqDCoMKgwqDCoMKgwqAgKGFkZC1hZnRlciAndW5wYWNrICdmaXgtbXVt
YmxlLW92ZXJsYXkKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAobGFtYmRhKiAoIzprZXkgb3V0
cHV0cyAjOmFsbG93LW90aGVyLWtleXMpCj4gwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAo
d2l0aC1vdXRwdXQtdG8tZmlsZSAic2NyaXB0cy9tdW1ibGUtb3ZlcmxheSIKPiDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAobGFtYmRhICgpCj4gwqDCoMKgwqDCoMKgwqDCoMKgwqDC
oMKgwqDCoMKgwqDCoMKgIChmb3JtYXQgI3QgIiMhfmF+JSIgKHdoaWNoICJiYXNoIikpCgpUaGlz
IGlzIG1vcmUgYSBidWcgaW4gdGhlIG9yaWdpbmFsIHBhY2thZ2UgZGVmaW5pdGlvbiwgYnV0CnRo
aXMgdXNlIG9mICd3aGljaCAiYmFzaCInIGlzIGluY29ycmVjdCB3aGVuIGNyb3NzLWNvbXBpbGlu
ZywgaXQgbmVlZHMKdG8gYmUgKHNlYXJjaC1pbnB1dC1maWxlIGlucHV0cyAiYmluL2Jhc2giKSBp
bnN0ZWFkLgoKR3JlZXRpbmdzLApNYXhpbWUuCg==


--=-zCe+heSKarm92FUbpZwX
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYhE08hccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7j10AP9rHEh6u6pzU/uzCI0vdHZk6ObK
CQ2jwhruPVqZMiNkZwD/Ze0Lw1RhSdzxVfpAV85EijBWlLWhCh6gq/B+ZzE6RAQ=
=BwbO
-----END PGP SIGNATURE-----

--=-zCe+heSKarm92FUbpZwX--





Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 19 Feb 2022 18:18:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 13:18:29 2022
Received: from localhost ([127.0.0.1]:58710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLUJQ-0004Zl-PV
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 13:18:28 -0500
Received: from michel.telenet-ops.be ([195.130.137.88]:47158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nLUJO-0004Ze-JJ
 for 54065 <at> debbugs.gnu.org; Sat, 19 Feb 2022 13:18:27 -0500
Received: from [172.20.10.9] ([188.189.130.216])
 by michel.telenet-ops.be with bizsmtp
 id x6JQ2600E4gGt1o066JQDa; Sat, 19 Feb 2022 19:18:25 +0100
Message-ID: <1f92a830c87f0459db2a6a32a34b1dc85e56eaae.camel@HIDDEN>
Subject: Re: [bug#54065] [PATCH 2/3] gnu: mumble: Update to 1.4.230.
From: Maxime Devos <maximedevos@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, 54065 <at> debbugs.gnu.org
Date: Sat, 19 Feb 2022 19:18:24 +0100
In-Reply-To: <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
References: <2b30b57085cbc6896cd6b609a75a2ac7ad798d82.camel@HIDDEN>
 <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-SV7+vcUzRLdyC+mJStll"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1645294705; bh=XbpA5zoG5Zyjiu2zOuDUS/q0Ikb1xBMNRDyYzAi1ZoU=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=J7MtjLQlC3OjxgJO9X/alpwPkwsFgtYc47kcDg26kX5Vh09FVIGA7R8iFSN47ZxYI
 0/rtTncOMfdCJItKPoAL0ujtlF5DQObODa9J41r4o/Tc+F5EupL1FHdonr90cjYnyY
 fpwXMv59rIFnUK6QNmQHq4JnDpfu+o52hfYlXS/qQUQCJ5H5pDaSBAK2Gqi+0LG2SZ
 +zyyNLlG4f7Cmxz+BO8Y9ZF9pVvDsEtIHDu7ZQyR9bcJD/Opm2HmjrpvVzf4Lzc4rw
 riDYGa4SpHJxVdUI+PV6H0u48SZU3u9YaLYbtdWLYRteH61OKHpDp6AZAXRtvCs93O
 S8B46afKbOtBQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-SV7+vcUzRLdyC+mJStll
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

TGlsaWFuYSBNYXJpZSBQcmlrbGVyIHNjaHJlZWYgb3AgemEgMTktMDItMjAyMiBvbSAxNjowNSBb
KzAxMDBdOgo+ICvCoMKgwqDCoMKgICN+KGxpc3QgIi1EYnVuZGxlZC1zcGVleD1vZmYiCj4gK8Kg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICItRGJ1bmRsZWQtb3B1cz1vZmYiCj4gK8KgwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgIDs7ICItRGJ1bmRsZWQtcm5ub2lzZT1vZmYiIDsgWFhYOiBub3Qg
eWV0IGluIHJlbGVhc2UKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgIi1EYWxzYT1vZmYi
IDsgdXNlIHB1bHNlCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICItRGNvcmVhdWRpbz1v
ZmYiIDsgdXNlIHB1bHNlCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICItRGljZT1vZmYi
IDsgbm90IHBhY2thZ2VkCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICItRGphY2thdWRp
bz1vZmYiIDsgdXNlIHB1bHNlCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICItRG9zcz1v
ZmYiIDsgdXNlIHB1bHNlCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICItRHB1bHNlYXVk
aW89b24iCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICItRHBvcnRhdWRpbz1vZmYiIDsg
dXNlIHB1bHNlCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICItRHBpcGV3aXJlPW9mZiIg
OyB1c2UgcHVsc2UKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqAgIi1Eb3ZlcmxheS14Y29t
cGlsZT1vZmYiCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICItRHVwZGF0ZT1vZmYiIDsg
ZG9uJ3QgcGhvbmUgaG9tZQo+ICvCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAiLURidW5kbGUt
cXQtdHJhbnNsYXRpb25zPW9mZiIpCgpDYW4gdGhpcyBwYXRjaCBiZSBzcGxpdCBpbiBhIGZldyBw
YXJ0cz8gIFVubGVzcyB0aGVzZSBjb25maWd1cmUgZmxhZ3MKYXJlIG5ldywgaXQgc2VlbXMgdG8g
bWUgdGhhdCB1bmJ1bmRsaW5nIGNvdWxkIGJlIGRvbmUgc2VwYXJhdGVseSBmcm9tCnVwZGF0aW5n
LgoKR3JlZXRpbmdzLApNYXhpbWUuCg==


--=-SV7+vcUzRLdyC+mJStll
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYhE0cBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7qusAP9oiUr0WNwbS8JvOTvP6gjlbBSj
Z21ptbOEuEhdTVQ81AD+M3Izz2wC1wL7x59H5V92Qp2j7C2Ftvoe36obPN1Ings=
=0FDi
-----END PGP SIGNATURE-----

--=-SV7+vcUzRLdyC+mJStll--





Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 19 Feb 2022 18:12:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 13:12:48 2022
Received: from localhost ([127.0.0.1]:58699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLUDw-0004QK-0z
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 13:12:48 -0500
Received: from albert.telenet-ops.be ([195.130.137.90]:47826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nLUDt-0004Q8-Hd
 for 54065 <at> debbugs.gnu.org; Sat, 19 Feb 2022 13:12:46 -0500
Received: from [172.20.10.9] ([188.189.130.216])
 by albert.telenet-ops.be with bizsmtp
 id x6Ci2600R4gGt1o066CjuK; Sat, 19 Feb 2022 19:12:43 +0100
Message-ID: <bf12441e5e60bde6cc8908d6e3841bef7667e8bb.camel@HIDDEN>
Subject: Re: [bug#54065] [PATCH 2/3] gnu: mumble: Update to 1.4.230.
From: Maxime Devos <maximedevos@HIDDEN>
To: Liliana Marie Prikler <liliana.prikler@HIDDEN>, 54065 <at> debbugs.gnu.org
Date: Sat, 19 Feb 2022 19:12:37 +0100
In-Reply-To: <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
References: <2b30b57085cbc6896cd6b609a75a2ac7ad798d82.camel@HIDDEN>
 <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-avQBxt4+OuBHz1+PUM/Q"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1645294363; bh=Lji33B5K0okxSbtnyM17RPC0mSPlSL6MzD9yKbWRof4=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=dT0x35t1WKmV0wc+7NVUiO6qAILdZh/Gzc5UktNyL0v9YU+xwhv+kKd5CJ538gnWT
 uGPXFqznADvtcCx6mywgfWxHb1uvctiZVTQm4MXEogCAyj6P589vFAMEtU8yAzJq1y
 zcHSyae0+xRjiKHOScHUw+6bKMEDmHviWY2wfb++hnkXq51g7C5jkULC52j5XEufRX
 cDPsTUUjJ+UPLdPhVVhAMaELmtqY24Q2+r+lDCnIVcZPNzE2xWovjyvnw6T28WBVTP
 tO2wqgkfG+oBmHVcFN138IM5X7qTgKjKnsKZ8POnXJGRc9xTSxNcu5o6tZyI1+CnrH
 fI1p5t2gmjltA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-avQBxt4+OuBHz1+PUM/Q
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: base64

TGlsaWFuYSBNYXJpZSBQcmlrbGVyIHNjaHJlZWYgb3AgemEgMTktMDItMjAyMiBvbSAxNjowNSBb
KzAxMDBdOgo+ICvCoMKgwqDCoMKgwqDCoMKgwqAgKGFkZC1hZnRlciAndW5wYWNrICdmaXgtc2V0
dGluZ3MtY3Jhc2gKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoCAobGFtYmRhIF8KPiArwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqAgKHN1YnN0aXR1dGUqICJzcmMvbXVtYmxlL0F1ZGlvQ29uZmln
RGlhbG9nLmNwcCIKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICgoInVwZGF0ZUVj
aG9FbmFibGVTdGF0ZVxcKFxcKSBcXHsiIGFsbCkKPiArwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqDCoMKgwqAgKHN0cmluZy1hcHBlbmQgYWxsCj4gK8KgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKg
wqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgwqDCoMKgICJpZiAoIUF1ZGlvSW5wdXRSZWdp
c3RyYXI6OnFtTmV3KSByZXR1cm47IikpKSkpCgpBdCBmaXJzdCBzaWdodCwgdGhpcyBzZWVtcyBh
IGJ1ZyBpbiB0aGUgc291cmNlIGNvZGUgdG8gbWUsCmFsc28gcmVsZXZhbnQgdG8gb3RoZXIgZGlz
dHJvcywgc28gSSB3b3VsZCBkbyB0aGlzIGluIGFuIG9yaWdpbgpzbmlwcGV0IGFuZCBzdWJtaXQg
aXQgdXBzdHJlYW0uCgpHcmVldGluZ3MsCk1heGltZS4K


--=-avQBxt4+OuBHz1+PUM/Q
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYhEzFRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7pUbAP9QP9GRCu8/9tWqqW/UrCqfUwcd
yGejKzE7Wy3XbFBK7gD/Wgnc7Mv0zJ4rXH/ZZ4M3Yil35OGLgT7e6I0b4f2kwww=
=qXYW
-----END PGP SIGNATURE-----

--=-avQBxt4+OuBHz1+PUM/Q--





Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 19 Feb 2022 15:55:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 10:55:10 2022
Received: from localhost ([127.0.0.1]:58603 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLS4k-0000tf-9Y
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 10:55:10 -0500
Received: from mail-ed1-f65.google.com ([209.85.208.65]:34478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nLS4e-0000sh-T8
 for 54065 <at> debbugs.gnu.org; Sat, 19 Feb 2022 10:55:05 -0500
Received: by mail-ed1-f65.google.com with SMTP id z22so20715089edd.1
 for <54065 <at> debbugs.gnu.org>; Sat, 19 Feb 2022 07:55:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=MKSOOavUjKKij/E4JZSOIKmlpXlHNxPa1P25//uwv3c=;
 b=Xr6BtY88kRri0ry38/70yXv8g1VMwdGEJ1+lGwgzkqyCgHKJYLBN5C1RZjg+iontAv
 eAIJcss8UBQJ+4BB1cP3VBFAdS3X1FT9T55MtheiMtAG959S5Eh2v789mgHHqf3LLPtc
 0bAj07U+DYnF32yxQb1H9CfxZIUStF/OxNB3bbUpaXSEI7MPUk89KPkVXghtwAxbMOVf
 TvVlENAnd1doQ90JlAuRUVjkwwxGEF4fb4WmAMDfKXnsqH3v6QWSfL2agivEZGnBdow2
 h+R9xfnRfEmoAttRFsMiqhSwb4+tc6juf2RgimGZEZ05HBNYjjhQE6LDlWHmPjRn3Phn
 Mo7Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=MKSOOavUjKKij/E4JZSOIKmlpXlHNxPa1P25//uwv3c=;
 b=tmk636hq+QI69cUrZXAtSYWL/zF5NLZydlkHhfbVrI3fVP3vhALOe7wsKdIxdX1iSE
 OvIXSPazyvecMMCErKTiWD6OO8JAl45n8D0Pb4y0oGNxATGAQTyNOCNuRye9CmK+l1XU
 N0ljMWd7d8lggFroZE5G+otXb8O1qc2qYGgF4hnqt55qvIUN/RLUFcPkdfBPnvXO83Er
 DcCXo1sgZcQKtmXmA6jfYUuZIAlzlcEdK8JIlJ4eoPdntdysYgPeAGnpl2/e1/tZ9YLQ
 0VjtM8iZ5HvZtsb5kgCpH6EvJKDtI+DXhb14ZFDxZ84hi4D1G+VTo8Bbp8nIYLSSHRss
 ovpA==
X-Gm-Message-State: AOAM531ff2LxsEhVdP9cOXSstEAmBbCWmGixdypflUaCJmKssOJbqZQS
 DCuqPf5z4KGIprXvVw9Vvc+UDrZScwerlA==
X-Google-Smtp-Source: ABdhPJzTBfjiZOZmd5Xiomovp84sG9a+teMCXX+m227HsK46MqIVtNUK47vZYLvSURZYXq9MpStQjA==
X-Received: by 2002:aa7:c0ce:0:b0:400:1a:e9a2 with SMTP id
 j14-20020aa7c0ce000000b00400001ae9a2mr13811806edp.396.1645286099000; 
 Sat, 19 Feb 2022 07:54:59 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id b4sm3420670edu.105.2022.02.19.07.54.58
 for <54065 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Feb 2022 07:54:58 -0800 (PST)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 19 Feb 2022 16:37:51 +0100
Subject: [PATCH 3/3] gnu: mumble: Enable tests.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 54065 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <c93967a9b801d93f47b3cf83e8ae2090b7e7fef3.camel@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/telephony.scm (mumble)[#:tests?]: Drop argument.
[#:configure-flags]: Add “-Dtests=on”.
---
 gnu/packages/telephony.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index 59f7741579..92a727683a 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -589,7 +589,6 @@ (define-public mumble
     (build-system qt-build-system)
     (arguments
      (list
-      #:tests? #f  ; no "check" target
       #:configure-flags
       #~(list "-Dbundled-speex=off"
               "-Dbundled-opus=off"
@@ -604,6 +603,7 @@ (define-public mumble
               "-Dpipewire=off" ; use pulse
               "-Doverlay-xcompile=off"
               "-Dupdate=off" ; don't phone home
+              "-Dtests=on"
               "-Dbundle-qt-translations=off")
       #:phases
       #~(modify-phases %standard-phases
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 19 Feb 2022 15:55:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 10:55:10 2022
Received: from localhost ([127.0.0.1]:58601 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLS4j-0000td-NR
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 10:55:10 -0500
Received: from mail-ej1-f65.google.com ([209.85.218.65]:41747)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nLS4e-0000sg-5y
 for 54065 <at> debbugs.gnu.org; Sat, 19 Feb 2022 10:55:05 -0500
Received: by mail-ej1-f65.google.com with SMTP id a8so22139162ejc.8
 for <54065 <at> debbugs.gnu.org>; Sat, 19 Feb 2022 07:55:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=yOw4r5J/mVBpEs2w8gsfk/EX6S9EPCcaGNn3w60e+Uo=;
 b=W6uvwdswcd8MGmHfBnAToktWS+WpaiY17IYU32sYLGwFWzbDx4Uw2DhWAcaW3y4VnJ
 tvrdy778neosN3HqG1Z70qnHiCXfK69jNpo7Uzixqn0Mw/0xsHPWuxqYp2emJpV5pAj+
 Ld+SVYpo0hKvQrhMU7OzMKtMyOD6oI0HS7QVJ6oHhhGlx9Ps6wMipum0vvFJ//uDuPpP
 7RP0EMWlrzYlUsuaz6SmGQ+oitWvWDJhbgKhqaJOoTLWk8h4xul0jNpFZtLkkeX8w7lF
 KqwnzH8NwUb4/lrhuK4QzdKVDqiJOqgU+/dtbH8+GDStPtE/7dcwDdFzErj9hNO0q5AQ
 zHYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=yOw4r5J/mVBpEs2w8gsfk/EX6S9EPCcaGNn3w60e+Uo=;
 b=T9ioYn7kgPwlGC4aU/QeY2cEIbnBqr0DDRoUbTiu/TMID3TCuNu6a+p2t7Zzpvq4Oz
 EASJqSjh0X6J6fSbuOJKRMN4ycjmcmHMUFka0os4z6GuoJBbqrwIUamcFyPEubGxKdVL
 crNLhv9rPTgSSak9Vh9K4xDHgnEsXQ0ZxrC7BHCZxVwjGQux+bouOh3aRXbBmreP6ME3
 sMQVBj2HYdIFRjUE6At6NpwnkY0m+ZvgUTbBjDD3269xLX3GaCe+fFdzmFy5ZXDhi593
 SuALEpFYl5xkbD5TP40u9zwYgUzRyoaUfSZ2hdd6snqgp3yGsMiuAhXFJr78nmNK7Yy7
 jN2g==
X-Gm-Message-State: AOAM530G0f+c/HY51LNR1h9L6yJOy31kc0cgOJWadntab83xOyxvmn3b
 ZAtX6XnJnStShu7Tt7/nc1rcPfnpimjYOA==
X-Google-Smtp-Source: ABdhPJz+T0zaQxd9KddwasB91M/2ZDGbkTLUOiEGYOa6kpKtpKPfnCOcj+Nl2J/0y8uQXEWJI+MtHw==
X-Received: by 2002:a17:906:6144:b0:6cf:bb2e:a2e1 with SMTP id
 p4-20020a170906614400b006cfbb2ea2e1mr10785925ejl.299.1645286098325; 
 Sat, 19 Feb 2022 07:54:58 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id b4sm3420670edu.105.2022.02.19.07.54.57
 for <54065 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Feb 2022 07:54:57 -0800 (PST)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 19 Feb 2022 16:05:34 +0100
Subject: [PATCH 2/3] gnu: mumble: Update to 1.4.230.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: 54065 <at> debbugs.gnu.org
Content-Transfer-Encoding: 8bit
Message-ID: <34a6990351163c04b41a0a5d4b131133c370f519.camel@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/telephony.scm (find-python-interpreter-cmake-modules):
New variable.
(mumble): Update to 1.4.230.
[source]: Adjust uri and snippet accordingly.
[arguments]: Change to a list of G-expressions.
<#:configure-flags>: New argument.
<#:phases>: Drop ‘configure’ (moved to configure-flags).
Add ‘unpack-submodules’, ‘fix-settings-crash’ and ‘hardcode-pulseaudio’.
[inputs]: Add glib and poco.
---
 gnu/packages/telephony.scm | 154 +++++++++++++++++--------------------
 1 file changed, 71 insertions(+), 83 deletions(-)

diff --git a/gnu/packages/telephony.scm b/gnu/packages/telephony.scm
index b4b2585935..59f7741579 100644
--- a/gnu/packages/telephony.scm
+++ b/gnu/packages/telephony.scm
@@ -50,6 +50,7 @@ (define-module (gnu packages telephony)
   #:use-module (gnu packages boost)
   #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
+  #:use-module (gnu packages cpp)
   #:use-module (gnu packages crypto)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages docbook)
@@ -91,6 +92,7 @@ (define-module (gnu packages telephony)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix utils)
   #:use-module (guix packages)
+  #:use-module (guix gexp)
   #:use-module (guix download)
   #:use-module (guix git-download)
   #:use-module (guix build-system cmake)
@@ -536,34 +538,48 @@ (define-public seren
     (home-page "http://holdenc.altervista.org/seren/")
     (license license:gpl3+)))
 
+(define find-python-interpreter-cmake-modules
+  (let ((commit "bb4d3ea8434eebef40df35434a9b6ef410fce0b2")
+        (revision "0"))
+   (origin
+    (method git-fetch)
+    (uri (git-reference
+          (url "https://github.com/Krzmbrzl/FindPythonInterpreter")
+          (commit commit)))
+    (file-name (git-file-name "find-python-interpreter"
+                              (git-version "0" revision commit)))
+    (sha256
+     (base32
+      "1ryhda2yqgrhnwndfg52mscdsclg1ivv746hvalcay5m1wy2h5bm")))))
+
 (define-public mumble
   (package
     (name "mumble")
-    (version "1.3.4")
+    (version "1.4.230")
     (source (origin
               (method url-fetch)
               (uri
                (string-append
-                "https://github.com/mumble-voip/mumble/releases/download/"
+                "https://github.com/mumble-voip/mumble/releases/download/v"
                 version "/" name "-" version ".tar.gz"))
               (sha256
                (base32
-                "14v0rgy1a5alxmz7ly95y38bdj0hx79yysgkcd8r8p9qqfzlwpv1"))
+                "1c1lwj0cpyawr74adpdrsnxk8ra5kqrjbg65cnwk8n6cwss84zdn"))
               (modules '((guix build utils)
                          (ice-9 ftw)
                          (srfi srfi-1)))
               (snippet
                `(begin
                   (let ((keep
-                         '("arc4random-src"
+                         '("arc4random"
                            "celt-0.7.0-build"
                            "celt-0.7.0-src"
                            "celt-0.11.0-build"
                            "celt-0.11.0-src"
-                           "qqbonjour-src"
                            "rnnoise-build"
                            "rnnoise-src"
-                           "smallft-src")))
+                           "qqbonjour"
+                           "smallft")))
 	            (with-directory-excursion "3rdparty"
 	              (for-each delete-file-recursively
 			        (lset-difference string=?
@@ -572,48 +588,40 @@ (define-public mumble
                     #t)))))
     (build-system qt-build-system)
     (arguments
-     `(#:tests? #f  ; no "check" target
-       #:phases
-       (modify-phases %standard-phases
-         (replace 'configure
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (invoke "qmake" "main.pro" "QMAKE_LRELEASE=lrelease"
-                     (string-append "MUMBLE_PYTHON="
-                                    (search-input-file inputs
-                                                       "/bin/python3"))
-                     (string-append "CONFIG+="
-                                    (string-join
-                                     ;; Options used are listed in the same order
-                                     ;; as in the "INSTALL" file
-                                     ;; (plus the final "packaged" and "release").
-                                     (list "no-bundled-speex" ; in speex
-                                           "no-bundled-opus" ; in opus
-                                           "no-g15" ; not packaged
-                                           "no-jackaudio" ; use pulse
-                                           "no-oss" ; use pulse
-                                           "no-alsa" ; use pulse
-                                           "no-update"
-                                           "no-embed-qt-translations"
-                                           "no-ice" ; not packaged
-                                           "packaged"
-                                           "release")))
-                     (string-append "DEFINES+="
-                                    "PLUGIN_PATH="
-                                    (assoc-ref outputs "out")
-                                    "/lib/mumble"))))
-         (add-before 'configure 'fix-libspeechd-include
-           (lambda _
-             (substitute* "src/mumble/TextToSpeech_unix.cpp"
-               (("libspeechd.h") "speech-dispatcher/libspeechd.h"))
-             #t))
-         ;; disable statistic gathering by default. see <https://bugs.gnu.org/25201>
-         (add-before 'configure 'fix-statistic-gathering-default
-           (lambda _
-             (substitute* "src/mumble/Settings.cpp"
-               (("bUsage = true;") "bUsage = false;"))
-             #t))
-         (add-before 'configure 'fix-mumble-overlay
-           (lambda* (#:key outputs #:allow-other-keys)
+     (list
+      #:tests? #f  ; no "check" target
+      #:configure-flags
+      #~(list "-Dbundled-speex=off"
+              "-Dbundled-opus=off"
+              ;; "-Dbundled-rnnoise=off" ; XXX: not yet in release
+              "-Dalsa=off" ; use pulse
+              "-Dcoreaudio=off" ; use pulse
+              "-Dice=off" ; not packaged
+              "-Djackaudio=off" ; use pulse
+              "-Doss=off" ; use pulse
+              "-Dpulseaudio=on"
+              "-Dportaudio=off" ; use pulse
+              "-Dpipewire=off" ; use pulse
+              "-Doverlay-xcompile=off"
+              "-Dupdate=off" ; don't phone home
+              "-Dbundle-qt-translations=off")
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'unpack-submodules
+            (lambda _
+              (copy-recursively #$find-python-interpreter-cmake-modules
+                                "3rdparty/FindPythonInterpreter")))
+          (add-after 'unpack 'disable-murmur-ice
+            (lambda _
+              (substitute* "scripts/murmur.ini"
+                (("^ice=") ";ice="))))
+          ;; disable statistic gathering by default. see <https://bugs.gnu.org/25201>
+          (add-after 'unpack 'fix-statistic-gathering-default
+            (lambda _
+              (substitute* "src/mumble/Settings.h"
+                (("bUsage *= true;") "bUsage = false;"))))
+          (add-after 'unpack 'fix-mumble-overlay
+            (lambda* (#:key outputs #:allow-other-keys)
               (with-output-to-file "scripts/mumble-overlay"
                 (lambda ()
                   (format #t "#!~a~%" (which "bash"))
@@ -622,55 +630,35 @@ (define-public mumble
                                          "/lib/mumble/libmumble.so.1"))
                   (format #t "exec \"${@}\"")))
               #t))
-         (add-before 'install 'disable-murmur-ice
-           (lambda _
-             (substitute* "scripts/murmur.ini.system"
-               (("^ice=") ";ice="))
-             #t))
-         (replace 'install ; install phase does not exist
-           (lambda* (#:key inputs outputs #:allow-other-keys)
-             (let* ((out (assoc-ref outputs "out"))
-                    (etc (string-append out "/etc/murmur"))
-                    (dbus (string-append out "/etc/dbus-1/system.d/"))
-                    (bin (string-append out "/bin"))
-                    (services (string-append out "/share/services"))
-                    (applications (string-append out "/share/applications"))
-                    (icons (string-append out "/share/icons/hicolor/scalable/apps"))
-                    (man (string-append out "/share/man/man1"))
-                    (lib (string-append out "/lib/mumble")))
-               (install-file "release/mumble" bin)
-               (install-file "scripts/mumble-overlay" bin)
-               (install-file "scripts/mumble.protocol" services)
-               (install-file "scripts/mumble.desktop" applications)
-               (install-file "icons/mumble.svg" icons)
-               (install-file "man/mumble-overlay.1" man)
-               (install-file "man/mumble.1" man)
-               (install-file "release/murmurd" bin)
-               (install-file "scripts/murmur.ini.system" etc)
-               (rename-file (string-append etc "/murmur.ini.system")
-                            (string-append etc "/murmur.ini"))
-               (install-file "scripts/murmur.conf" dbus)
-               (install-file "man/murmurd.1" man)
-               (for-each (lambda (file) (install-file file lib))
-                         (find-files "." "\\.so\\."))
-               (for-each (lambda (file) (install-file file lib))
-                         (find-files "release/plugins" "\\.so$"))
-               #t))))))
+          (add-after 'unpack 'fix-settings-crash
+            (lambda _
+              (substitute* "src/mumble/AudioConfigDialog.cpp"
+                (("updateEchoEnableState\\(\\) \\{" all)
+                 (string-append all
+                                "if (!AudioInputRegistrar::qmNew) return;")))))
+          (add-after 'unpack 'hardcode-pulseaudio
+            (lambda* (#:key inputs #:allow-other-keys)
+              (substitute* "src/mumble/PulseAudio.cpp"
+                (("libpulse.so") (search-input-file inputs "/lib/libpulse.so"))))))))
     (inputs
      (list avahi
            boost
+           glib ; for speech-dispatcher
            libsndfile
            libxi
            mesa ; avoid bundled
            openssl
            opus ; avoid bundled
+           poco
            protobuf
            pulseaudio
            qtbase-5
            qtsvg
            speech-dispatcher
            speex ; avoid bundled
-           speexdsp)) ; avoid bundled
+           speexdsp ; avoid bundled
+           ;; xiph-rnnoise ; TODO: unbundle rnnoise
+           ))
     (native-inputs
      (list pkg-config python qttools))
     (synopsis "Low-latency, high quality voice chat software")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at 54065 <at> debbugs.gnu.org:


Received: (at 54065) by debbugs.gnu.org; 19 Feb 2022 15:55:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 10:55:05 2022
Received: from localhost ([127.0.0.1]:58599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLS4f-0000tQ-Cb
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 10:55:05 -0500
Received: from mail-ej1-f66.google.com ([209.85.218.66]:46953)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nLS4d-0000se-QL
 for 54065 <at> debbugs.gnu.org; Sat, 19 Feb 2022 10:55:04 -0500
Received: by mail-ej1-f66.google.com with SMTP id qx21so22053422ejb.13
 for <54065 <at> debbugs.gnu.org>; Sat, 19 Feb 2022 07:55:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:to:content-transfer-encoding:message-id
 :mime-version; bh=gTKXfH4pHKRRoln2WR000lSlMsr8aVquu7H0UkJ7IQA=;
 b=nNVsJVbdhAq/rzLQrNmFJsbviTgilr19igigZk+gD4aWCLjrBIFhJO4WqP80Me9kBG
 JxBGlgzOeiVjCoPtVB1whQcpyK5AnQRcS0ZqxqaD55/asLXhu3/86fhhHe9t/zSfMD8S
 4kf3LqYWVITAo/i7CludAQbfka2Cjp3OsTnI1fZgGo/gyRbmNdWsaGsy5odSBKsBoHub
 UeVMp6eH2To2g3REBeBXX6X5qGaNZ41JAyv7khhZmIGxM7IJTO8gn2vavRLAAqADxwUe
 MQzDxaMsKkkUwDlSOAfzdViG/tFNqFyZPRmr4no1HVoadbG3r6BGNY5zBLM+Kf8bS7h8
 d0/A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:to:content-transfer-encoding
 :message-id:mime-version;
 bh=gTKXfH4pHKRRoln2WR000lSlMsr8aVquu7H0UkJ7IQA=;
 b=gmE1/8lfRlEiX/ivx60lumT5+Rm22PK0lwVdWvGhSBf4L5bD39XrevNr6C/sAErytJ
 cTjHYQ9v3jJDQiTZBec6PP564udnXR5dRb4PqS1IRIvZW4o1NkgOXGNI7+HrG9tkEFkn
 r1taEjJEF2xo77OUZYnr/ClZeGcYksoqMA1w4vmSVx72ev8PAcJ26Iuw+XISWTKewJZ7
 +LhKOIp/vWsasFpl9NzxKa/pfJbq71A6tBXxbaulNpx1gxqcpYJvhpOxBUgF+AQGbVXF
 Dauq9h9/g5gwOUWbba1WOUBBTiCumVOt57lbEY80slwv5JhqUBAjC3atUmDRZYGlOLYW
 y5Rg==
X-Gm-Message-State: AOAM530A0zvbaeLLvfY7mLSsb5a+JoGqZibi79n72QyEKSC+xSIclF9b
 A4CZCtmTY2z4l9l/TeFVZ0JnfAt9ozhDqQ==
X-Google-Smtp-Source: ABdhPJwZRtz9Dk7IlCZ4AYUNmdA+VZG3YFiR/ELtHsZ7cr0N2FLlmSXZHVceOrCcAubuftX0MhvBXw==
X-Received: by 2002:a17:906:35d5:b0:6b7:faf7:9611 with SMTP id
 p21-20020a17090635d500b006b7faf79611mr10437125ejb.537.1645286097673; 
 Sat, 19 Feb 2022 07:54:57 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id b4sm3420670edu.105.2022.02.19.07.54.57
 for <54065 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Feb 2022 07:54:57 -0800 (PST)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 19 Feb 2022 16:03:37 +0100
Subject: [PATCH 1/3] gnu: Add poco.
to: 54065 <at> debbugs.gnu.org
Content-Transfer-Encoding: 7bit
Message-ID: <3e84435d1065b29401c245a66463ffa4f1e15afb.camel@HIDDEN>
MIME-Version: 1.0
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54065
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/cpp.scm (poco): New variable.
---
 gnu/packages/cpp.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/cpp.scm b/gnu/packages/cpp.scm
index 86138531c0..66e5c6f257 100644
--- a/gnu/packages/cpp.scm
+++ b/gnu/packages/cpp.scm
@@ -1073,6 +1073,39 @@ (define-public folly
     (supported-systems '("aarch64-linux" "x86_64-linux"))
     (license license:asl2.0)))
 
+(define-public poco
+  (package
+    (name "poco")
+    (version "1.11.1")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/pocoproject/poco")
+                    (commit (string-append "poco-" version "-release"))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0qkf8vb4qwds6idk9fkw6wjvcdk5k8h77x3gv47l0i4jfl5hwn8b"))))
+    (build-system cmake-build-system)
+    (arguments
+     (list
+      #:configure-flags #~(list "-DENABLE_TESTS=ON")
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'disable-problematic-tests
+            (lambda _
+              (substitute* (list "Foundation/CMakeLists.txt" ; XXX: fails.
+                                 ;; Require network access
+                                 "Net/CMakeLists.txt"
+                                 "MongoDB/CMakeLists.txt"
+                                 "Redis/CMakeLists.txt")
+                (("ENABLE_TESTS") "FALSE")))))))
+    (home-page "https://pocoproject.org/")
+    (synopsis "Portable C++ components")
+    (description "A collection of libraries intended to be useful for building
+network-based applications.")
+    (license license:boost1.0)))
+
 (define-public aws-crt-cpp
   (let* ((commit "b6d311d76b504bf8ace5134d3fca0e672c36c9c3")
          (revision "1"))
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Feb 2022 15:49:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 10:49:18 2022
Received: from localhost ([127.0.0.1]:58587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLRz4-0000jd-El
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 10:49:18 -0500
Received: from lists.gnu.org ([209.51.188.17]:56356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <liliana.prikler@HIDDEN>) id 1nLRz3-0000jW-HO
 for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 10:49:17 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60440)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1nLRz3-0000gG-A6
 for guix-patches@HIDDEN; Sat, 19 Feb 2022 10:49:17 -0500
Received: from [2a00:1450:4864:20::541] (port=34497
 helo=mail-ed1-x541.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <liliana.prikler@HIDDEN>)
 id 1nLRyT-0006Xx-IA
 for guix-patches@HIDDEN; Sat, 19 Feb 2022 10:49:16 -0500
Received: by mail-ed1-x541.google.com with SMTP id z22so20692912edd.1
 for <guix-patches@HIDDEN>; Sat, 19 Feb 2022 07:48:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:date:subject:mime-version:to:content-transfer-encoding
 :message-id; bh=Rxx1/wVkQyMpOKi6Qd+hxrP82LX9tlr7dxPQXIckzf8=;
 b=VPnwYMQTvJVj8N+a/ILiHk/tdJKhLz1eBls63AtLtqcutIAQCpTM8fimzRtr6rEQMO
 fFV+g9spc06kBdYvRtk0e11FwwPkXSp8/k8mx/IpbXULNprbl6JYDpJqBOza822NSNgI
 gCEDMS6tTo5JaD0txbYkUaZfcd3SHyv9OaTtEu9JgoX8JgafGOCwg1MMsNM1NvuvEksY
 Q2yeaHf5EzPgVQDJHx+tDAMFmFcjJKrgbv+PWmEpdIfqyBfFEbt3Ci54EOwchpvpcF3f
 bZlJ9jlaw+tx6Jmi7Kne5jHAM08DNx4pJXMMFPkbwCFt5OU/98N1H+LyfTS7xXaPLe0K
 d2/w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:date:subject:mime-version:to
 :content-transfer-encoding:message-id;
 bh=Rxx1/wVkQyMpOKi6Qd+hxrP82LX9tlr7dxPQXIckzf8=;
 b=mxfQghPAg6NNqrA1XHI35ge8PuL/qWMf92b/knNPb0F+y+5oZnLlo4cSimLgUG9v86
 VEoi/IK3q/lGDFH1ZBsz80OQkO0A6HFRs6621OJUjBjt0MQLEGERyzbbL7DSMTfd1KyK
 kE5ps/fNImnR01aZFVfHiqFPikkV7vCA+5kcal8usnsnmexhXIJnr8mjMw3ON5N7vwao
 a2dkvv6NedhvNi3iARXJrYe0ea1vr2LlUPa+sWY8Wzzx+W2qufxbV7idj13To1G4mkRJ
 G1uOBDMuuJFWv20ui8XlYfx8lrHyGKLpMI0yfLd7amSsjy8A23IXaSQdqghHBxApAjGV
 vNzA==
X-Gm-Message-State: AOAM530XxIlunBGC8EnQksJinA3GFIJMYUs6flGuAFOyuROtGy8EFLuI
 MlFx5b4LJFrY1CqKTC2CW/CtgSwyDKn0FA==
X-Google-Smtp-Source: ABdhPJzjXo2hIAzzluJaEmAQPp0jk3Jk9XX87G8mcBde6+0g/t6S6P2Smwea86RielfLoMbLfod3SA==
X-Received: by 2002:aa7:c04e:0:b0:400:4daf:bab1 with SMTP id
 k14-20020aa7c04e000000b004004dafbab1mr13270879edo.101.1645285719780; 
 Sat, 19 Feb 2022 07:48:39 -0800 (PST)
Received: from nijino.fritz.box (85-127-52-93.dsl.dynamic.surfer.at.
 [85.127.52.93])
 by smtp.gmail.com with ESMTPSA id i28sm3367860ejo.49.2022.02.19.07.48.39
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Feb 2022 07:48:39 -0800 (PST)
From: Liliana Marie Prikler <liliana.prikler@HIDDEN>
Date: Sat, 19 Feb 2022 16:39:03 +0100
Subject: [PATCH 0/3] Update mumble to 1.4.230
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
to: guix-patches@HIDDEN
Content-Transfer-Encoding: 7bit
Message-ID: <2b30b57085cbc6896cd6b609a75a2ac7ad798d82.camel@HIDDEN>
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::541
 (failed)
Received-SPF: pass client-ip=2a00:1450:4864:20::541;
 envelope-from=liliana.prikler@HIDDEN; helo=mail-ed1-x541.google.com
X-Spam_score_int: -6
X-Spam_score: -0.7
X-Spam_bar: /
X-Spam_report: (-0.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PDS_HP_HELO_NORDNS=0.659, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Salut Guix,

The following patch set updates mumble to the latest upstream version
and enables tests.  Mumble now has a new dependency I needed to package
in order to get it to build.  I didn't check this thing too closely for
potential nasty stuff, so I'd like a few eyes on it.

Bisous

Liliana Marie Prikler (3):
  gnu: Add poco.
  gnu: mumble: Update to 1.4.230.
  gnu: mumble: Enable tests.

 gnu/packages/cpp.scm       |  33 ++++++++
 gnu/packages/telephony.scm | 154 +++++++++++++++++--------------------
 2 files changed, 104 insertions(+), 83 deletions(-)

-- 
2.34.0





Acknowledgement sent to Liliana Marie Prikler <liliana.prikler@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#54065; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 15 May 2022 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.